Name:           macos-icon-theme
Version:        3.8
Release:        1%{?dist}
License:        GPLv2+
Summary:        MacOS Icon theme
Url:            https://www.gnome-look.org/p/1102582/
Source:         https://dl.opendesktop.org/api/files/download/id/1494895082/macOS.tar.xz
BuildArch:      noarch
BuildRequires:  hicolor-icon-theme
Requires(postun):	gtk-update-icon-cache
Requires(posttrans):	gtk-update-icon-cache


%description
Icon theme Based on MacBuntu icon theme.

%prep
%autosetup -n macOS



%build


%install
mkdir -p %{buildroot}%{_datadir}/icons/macOS
cp -r . %{buildroot}%{_datadir}/icons/macOS



%post
touch --no-create %{_datadir}/icons/macOS &>/dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
         touch --no-create %{_datadir}/icons/macOS &>/dev/null
         gtk-update-icon-cache -q %{_datadir}/icons/macOS &>/dev/null ||:
fi

%posttrans 
gtk-update-icon-cache %{_datadir}/icons/macOS &>/dev/null ||:


%files
%{_datadir}/icons/macOS


%changelog
* Thu Oct 03 2017 youcef sourani <youssef.m.sourani@gmail.com> - 3.8-1
- Initial For Fedora

